Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction.delete
Class TableNode

    java.lang.Object
      org.deegree.io.datastore.sql.transaction.delete.TableNode

    public class TableNode

extends Object

Represents a table row that has to be deleted as part of a `Delete` operation.

Connected table entries (rows that refer to this row or that are referenced by this row) are also stored.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $
See Also:
  `TableGraph`

Constructor Summary
`TableNode(FeatureId fid)` Creates a new `DeleteNode` instance for a feature instance.
`TableNode(String table, Collection<KeyColumn> keyColumns)` Creates a new `DeleteNode` instance.

Method Summary
`(package private) void` | `connect(TableNode targetNode)` Connects this node to the given target node.
`boolean` | `equals(Object obj)`
`(package private) Collection<KeyColumn>` | `getKeyColumns()` Returns the key columns that identify the table row.
`(package private) KeyColumn` | `getKeyColumnValue(String columnName)` Returns the value for the given key column name.
`(package private) Collection<TableNode>` | `getPostNodes()` Returns the set of post nodes, i.e. table rows that are referenced by this row.
`(package private) Collection<TableNode>` | `getPreNodes()` Returns the set of pre nodes, i.e. table rows that refer to this row.
`(package private) String` | `getTable()` Returns the table name.
`int` | `hashCode()`
`(package private) boolean` | `isDeleteVetoPossible()`
`(package private) void` | `setDeleteVetoPossible()`
`String` | `toString()`
`(package private) String` | `toString(String indent, Set<TableNode> printedNodes)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableNode

    TableNode(String table,
              Collection<KeyColumn> keyColumns)

  Creates a new `DeleteNode` instance.

  Parameters:
    `table` -
    `keyColumns` -

### TableNode

    TableNode(FeatureId fid)

  Creates a new `DeleteNode` instance for a feature instance.

  Parameters:
    `fid` -

Method Detail

### isDeleteVetoPossible

    boolean isDeleteVetoPossible()

### setDeleteVetoPossible

    void setDeleteVetoPossible()

### getTable

    String getTable()

  Returns the table name.

  Returns:
    the table name

### getKeyColumns

    Collection<KeyColumn> getKeyColumns()

  Returns the key columns that identify the table row.

  Returns:
    the key columns that identify the table row

### getKeyColumnValue

    KeyColumn getKeyColumnValue(String columnName)

  Returns the value for the given key column name.

  Parameters:
    `columnName` -
  Returns:
    the value for the given key column name

### getPostNodes

    Collection<TableNode> getPostNodes()

  Returns the set of post nodes, i.e. table rows that are referenced by this row.

  Returns:
    the set of post nodes

### getPreNodes

    Collection<TableNode> getPreNodes()

  Returns the set of pre nodes, i.e. table rows that refer to this row.

  Returns:
    the set of pre nodes

### connect

    void connect(TableNode targetNode)

  Connects this node to the given target node.

  NOTE: The target node is the one that stores the primary key.

  Parameters:
    `targetNode` -

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    String toString(String indent,
                    Set<TableNode> printedNodes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org